Package org.eclipse.e4.ui.model.fragment

## Interface MStringModelFragment

All Superinterfaces:
  `MModelFragment`

    public interface MStringModelFragment
    extends MModelFragment

A representation of the model object 'String Model Fragment'.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Since:
  1.0

  The following features are supported:

  - `Featurename`
  - `Parent Element Id`
  - `Position In List`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFeaturename()` Returns the value of the 'Featurename' attribute.
`String` `getParentElementId()` Returns the value of the 'Parent Element Id' attribute.
`String` `getPositionInList()` Returns the value of the 'Position In List' attribute.
`void` `setFeaturename​(String value)` Sets the value of the '`Featurename`' attribute.
`void` `setParentElementId​(String value)` Sets the value of the '`Parent Element Id`' attribute.
`void` `setPositionInList​(String value)` Sets the value of the '`Position In List`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.fragment.MModelFragment

`getElements, merge`

### Method Detail

#### getFeaturename

    String getFeaturename()

Returns the value of the 'Featurename' attribute.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Featurename' attribute.
See Also:
  `setFeaturename(String)`

#### setFeaturename

    void setFeaturename​(String value)

Sets the value of the '`Featurename`' attribute.

Parameters:
  `value` - the new value of the 'Featurename' attribute.
See Also:
  `getFeaturename()`

#### getParentElementId

    String getParentElementId()

Returns the value of the 'Parent Element Id' attribute. The parentElementId specifies the targeted parent or parents when a fragment is merged. The ID can be specified in 3 ways:

1. elementId (a single elementId)
2. elementId1,elementId2,elementId3 (a comma delimited list of elementIds)
3. xpath:[xpath goes here] (an xpath expression)

An xpath example targeting 2 destinations in the model

     xpath://*[@elementId='app.menu.primary' or @elementId='app.menu.secondary']

Returns:
  The parentElementId expression. Must not be null, but may be an empty string if the fragment did not specify a target.

  Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

See Also:
  `setParentElementId(String)`

#### setParentElementId

    void setParentElementId​(String value)

Sets the value of the '`Parent Element Id`' attribute.

Parameters:
  `value` - the new value of the 'Parent Element Id' attribute.
See Also:
  `setParentElementId(java.lang.String)`, `getParentElementId()`

#### getPositionInList

    String getPositionInList()

Returns the value of the 'Position In List' attribute.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Position In List' attribute.
See Also:
  `setPositionInList(String)`

#### setPositionInList

    void setPositionInList​(String value)

Sets the value of the '`Position In List`' attribute.

Parameters:
  `value` - the new value of the 'Position In List' attribute.
See Also:
  `getPositionInList()`